// Code generated by go-swagger; DO NOT EDIT.

package v1

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

// DaemonSetStatus DaemonSetStatus represents the current status of a daemon set.
//
// swagger:model DaemonSetStatus
type DaemonSetStatus struct {

	// Count of hash collisions for the DaemonSet. The DaemonSet controller uses this field as a collision avoidance mechanism when it needs to create the name for the newest ControllerRevision.
	CollisionCount int32 `json:"collisionCount,omitempty"`

	// Represents the latest available observations of a DaemonSet's current state.
	Conditions []*DaemonSetCondition `json:"conditions,omitempty"`

	// The number of nodes that are running at least 1 daemon pod and are supposed to run the daemon pod. More info: https://kubernetes.io/docs/concepts/workloads/controllers/daemonset/
	// Required: true
	CurrentNumberScheduled *int32 `json:"currentNumberScheduled"`

	// The total number of nodes that should be running the daemon pod (including nodes correctly running the daemon pod). More info: https://kubernetes.io/docs/concepts/workloads/controllers/daemonset/
	// Required: true
	DesiredNumberScheduled *int32 `json:"desiredNumberScheduled"`

	// The number of nodes that should be running the daemon pod and have one or more of the daemon pod running and available (ready for at least spec.minReadySeconds)
	NumberAvailable int32 `json:"numberAvailable,omitempty"`

	// The number of nodes that are running the daemon pod, but are not supposed to run the daemon pod. More info: https://kubernetes.io/docs/concepts/workloads/controllers/daemonset/
	// Required: true
	NumberMisscheduled *int32 `json:"numberMisscheduled"`

	// numberReady is the number of nodes that should be running the daemon pod and have one or more of the daemon pod running with a Ready Condition.
	// Required: true
	NumberReady *int32 `json:"numberReady"`

	// The number of nodes that should be running the daemon pod and have none of the daemon pod running and available (ready for at least spec.minReadySeconds)
	NumberUnavailable int32 `json:"numberUnavailable,omitempty"`

	// The most recent generation observed by the daemon set controller.
	ObservedGeneration int64 `json:"observedGeneration,omitempty"`

	// The total number of nodes that are running updated daemon pod
	UpdatedNumberScheduled int32 `json:"updatedNumberScheduled,omitempty"`
}
