// Code generated by go-swagger; DO NOT EDIT.

package v1

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	api_core_v1 "github.com/kubewarden/k8s-objects/api/core/v1"
	apimachinery_pkg_apis_meta_v1 "github.com/kubewarden/k8s-objects/apimachinery/pkg/apis/meta/v1"
)

// DeploymentSpec DeploymentSpec is the specification of the desired behavior of the Deployment.
//
// swagger:model DeploymentSpec
type DeploymentSpec struct {

	// Minimum number of seconds for which a newly created pod should be ready without any of its container crashing, for it to be considered available. Defaults to 0 (pod will be considered available as soon as it is ready)
	MinReadySeconds int32 `json:"minReadySeconds,omitempty"`

	// Indicates that the deployment is paused.
	Paused bool `json:"paused,omitempty"`

	// The maximum time in seconds for a deployment to make progress before it is considered to be failed. The deployment controller will continue to process failed deployments and a condition with a ProgressDeadlineExceeded reason will be surfaced in the deployment status. Note that progress will not be estimated during the time a deployment is paused. Defaults to 600s.
	ProgressDeadlineSeconds int32 `json:"progressDeadlineSeconds,omitempty"`

	// Number of desired pods. This is a pointer to distinguish between explicit zero and not specified. Defaults to 1.
	Replicas int32 `json:"replicas,omitempty"`

	// The number of old ReplicaSets to retain to allow rollback. This is a pointer to distinguish between explicit zero and not specified. Defaults to 10.
	RevisionHistoryLimit int32 `json:"revisionHistoryLimit,omitempty"`

	// Label selector for pods. Existing ReplicaSets whose pods are selected by this will be the ones affected by this deployment. It must match the pod template's labels.
	// Required: true
	Selector *apimachinery_pkg_apis_meta_v1.LabelSelector `json:"selector"`

	// The deployment strategy to use to replace existing pods with new ones.
	Strategy *DeploymentStrategy `json:"strategy,omitempty"`

	// Template describes the pods that will be created. The only allowed template.spec.restartPolicy value is "Always".
	// Required: true
	Template *api_core_v1.PodTemplateSpec `json:"template"`
}
