// Code generated by go-swagger; DO NOT EDIT.

package v1

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	apimachinery_pkg_apis_meta_v1 "github.com/kubewarden/k8s-objects/apimachinery/pkg/apis/meta/v1"
)

// Event Event is a report of an event somewhere in the cluster.  Events have a limited retention time and triggers and messages may evolve with time.  Event consumers should not rely on the timing of an event with a given Reason reflecting a consistent underlying trigger, or the continued existence of events with that Reason.  Events should be treated as informative, best-effort, supplemental data.
//
// swagger:model Event
type Event struct {

	// What action was taken/failed regarding to the Regarding object.
	Action string `json:"action,omitempty"`

	// APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources
	APIVersion string `json:"apiVersion,omitempty"`

	// The number of times this event has occurred.
	Count int32 `json:"count,omitempty"`

	// Time when this Event was first observed.
	EventTime *apimachinery_pkg_apis_meta_v1.MicroTime `json:"eventTime,omitempty"`

	// The time at which the event was first recorded. (Time of server receipt is in TypeMeta.)
	FirstTimestamp *apimachinery_pkg_apis_meta_v1.Time `json:"firstTimestamp,omitempty"`

	// The object that this event is about.
	// Required: true
	InvolvedObject *ObjectReference `json:"involvedObject"`

	// Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
	Kind string `json:"kind,omitempty"`

	// The time at which the most recent occurrence of this event was recorded.
	LastTimestamp *apimachinery_pkg_apis_meta_v1.Time `json:"lastTimestamp,omitempty"`

	// A human-readable description of the status of this operation.
	Message string `json:"message,omitempty"`

	// Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata
	// Required: true
	Metadata *apimachinery_pkg_apis_meta_v1.ObjectMeta `json:"metadata"`

	// This should be a short, machine understandable string that gives the reason for the transition into the object's current status.
	Reason string `json:"reason,omitempty"`

	// Optional secondary object for more complex actions.
	Related *ObjectReference `json:"related,omitempty"`

	// Name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`.
	ReportingComponent string `json:"reportingComponent,omitempty"`

	// ID of the controller instance, e.g. `kubelet-xyzf`.
	ReportingInstance string `json:"reportingInstance,omitempty"`

	// Data about the Event series this event represents or nil if it's a singleton Event.
	Series *EventSeries `json:"series,omitempty"`

	// The component reporting this event. Should be a short machine understandable string.
	Source *EventSource `json:"source,omitempty"`

	// Type of this event (Normal, Warning), new types could be added in the future
	Type string `json:"type,omitempty"`
}
