// Code generated by go-swagger; DO NOT EDIT.

package v1

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

// ISCSIPersistentVolumeSource ISCSIPersistentVolumeSource represents an ISCSI disk. ISCSI volumes can only be mounted as read/write once. ISCSI volumes support ownership management and SELinux relabeling.
//
// swagger:model ISCSIPersistentVolumeSource
type ISCSIPersistentVolumeSource struct {

	// chapAuthDiscovery defines whether support iSCSI Discovery CHAP authentication
	ChapAuthDiscovery bool `json:"chapAuthDiscovery,omitempty"`

	// chapAuthSession defines whether support iSCSI Session CHAP authentication
	ChapAuthSession bool `json:"chapAuthSession,omitempty"`

	// fsType is the filesystem type of the volume that you want to mount. Tip: Ensure that the filesystem type is supported by the host operating system. Examples: "ext4", "xfs", "ntfs". Implicitly inferred to be "ext4" if unspecified. More info: https://kubernetes.io/docs/concepts/storage/volumes#iscsi
	FSType string `json:"fsType,omitempty"`

	// initiatorName is the custom iSCSI Initiator Name. If initiatorName is specified with iscsiInterface simultaneously, new iSCSI interface <target portal>:<volume name> will be created for the connection.
	InitiatorName string `json:"initiatorName,omitempty"`

	// iqn is Target iSCSI Qualified Name.
	// Required: true
	Iqn *string `json:"iqn"`

	// iscsiInterface is the interface Name that uses an iSCSI transport. Defaults to 'default' (tcp).
	ISCSIInterface string `json:"iscsiInterface,omitempty"`

	// lun is iSCSI Target Lun number.
	// Required: true
	Lun *int32 `json:"lun"`

	// portals is the iSCSI Target Portal List. The Portal is either an IP or ip_addr:port if the port is other than default (typically TCP ports 860 and 3260).
	Portals []string `json:"portals,omitempty"`

	// readOnly here will force the ReadOnly setting in VolumeMounts. Defaults to false.
	ReadOnly bool `json:"readOnly,omitempty"`

	// secretRef is the CHAP Secret for iSCSI target and initiator authentication
	SecretRef *SecretReference `json:"secretRef,omitempty"`

	// targetPortal is iSCSI Target Portal. The Portal is either an IP or ip_addr:port if the port is other than default (typically TCP ports 860 and 3260).
	// Required: true
	TargetPortal *string `json:"targetPortal"`
}
